import express from 'express';
import { getAllSalesmen, getSalesmanStats } from '../controllers/salesmanController.js';
import { authenticateToken, isAdmin } from '../middleware/auth.js';

const router = express.Router();

router.get('/', authenticateToken, isAdmin, getAllSalesmen);
router.get('/:id/stats', authenticateToken, isAdmin, getSalesmanStats);

export default router;
